// ICornerSurvey.aidl
package com.beidou.BDServer;

import com.beidou.BDServer.gnss.data.cornersurvey.CornerSurveyResult;
import com.beidou.BDServer.gnss.data.cornersurvey.CornerPoint;

import java.util.List;

interface ICornerSurvey {
    /**
     * 返回计算结果，结果为一个表示测点网结构质量因子，越小表明质量越好
     *
     * @param cornerPoints 观测点集合
     * @return 测点网结构质量因子
     */
    CornerSurveyResult calcCornerPoint(inout List<CornerPoint> cornerPoints,double height);

}
