// IEchoSounder.aidl
package com.beidou.BDServer.echosounder;

// Declare any non-default types here with import statements
import com.beidou.BDServer.gnss.data.echosounder.EchoSounderOption;
import com.beidou.BDServer.gnss.data.echosounder.EchoSounderStatus;
import com.beidou.BDServer.echosounder.IEchoSounderListener;

interface IEchoSounder {

    void connect(inout EchoSounderOption option);

    void disConnect();

    void writeDataToDevice(inout byte[] cmd);

    void addListener(IEchoSounderListener listener);

    void removeListener(IEchoSounderListener listener);

    EchoSounderStatus getStatus();

    EchoSounderOption getEchoSounderOption();
}
