// IPipelineDetectorListener.aidl
package com.beidou.BDServer.pipeline;

import com.beidou.BDServer.gnss.data.pipeline.PipelineDetectorResult;
import com.beidou.BDServer.gnss.data.pipeline.PipelineDectorStatus;

 /**
  *  AIDL文件中添加接口都必须追加到末尾
  *
  *   Range Finder Listener
  */
interface IPipelineDetectorListener {

    /**
     * Status Change
     */
    void statusChange(inout PipelineDectorStatus status);

     /**
     * get Result
     */
    void getPipelineDetectorResult(inout PipelineDetectorResult result);
}
